PartDesign Fonctionnalité

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page PartDesign Feature and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский

Introduction

PartDesign Feature fait référence à une "étape" du processus de modélisation qui se produit à l'intérieur d'un PartDesign Corps. Par exemple, chaque fois que vous ajoutez une boîte pleine avec PartDesign Cube additif, vous ajoutez une fonction. Lorsque vous ajoutez un chanfrein à une arête avec PartDesign Chanfrein, vous ajoutez une autre fonction. Lorsque vous découpez un trou à l'aide d'une Esquisse et PartDesign Cavité, vous ajoutez une autre fonction.

PartDesign Feature example.png

Modification des fonctions dans un PartDesign Corps avec trois fonctions séquentielles.


Il existe de nombreux types de fonctions qui peuvent ajouter ou supprimer du volume d'un solide initial. Le mot «fonction» fait référence à l'opération elle-même ainsi qu'au solide résultant après cette opération.

Pour en savoir plus sur la création d'objets solides avec l'Atelier PartDesign, voir Édition de fonctions.

Utilisation

Presque tous les outils de l'Atelier PartDesign sont destinés à ajouter des fonctions à un PartDesign Corps. Ces outils sont accessibles à partir des boutons de menu et de barre d'outils lorsqu'un objet ou un sous-élément (sommet, arête, face) est sélectionné.

Les fonctionnalités peuvent être classées en différentes catégories:

Héritage

FreeCAD core objects.svg

Diagramme simplifié des relations entre les objets centraux du programme. L'objet PartDesign::Feature est destiné à construire des solides 3D paramétriques et est donc dérivé de l'objet de base Part::Feature.


Script

Voir aussi: Débuter avec les scripts et Objets créés par script.

Voir Part Feature pour les informations générales sur l'ajout d'objets à partir de la console Python.

Voir PartDesign Corps pour les informations générales sur l'ajout d'un corps. Une fois qu'un corps existe, des fonctionnalités peuvent y être attachées à l'aide de la méthode addObject() du corps.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject('PartDesign::Body', 'Body')
obj.Label = "Custom label"

feature = App.ActiveDocument.addObject('PartDesign::AdditiveBox', 'Box')
feature.Width = 200
feature.Length = 300
feature.Height = 500
obj.addObject(feature)
App.ActiveDocument.recompute()

feature2 = App.ActiveDocument.addObject('PartDesign::SubtractiveBox', 'Box')
feature2.Width = 50
feature2.Length = 200
feature2.Height = 400
obj.addObject(feature2)
App.ActiveDocument.recompute()